Name:		freecol
Version:	0.11.6
Release:	%mkrel 2
Summary:	Turn-based strategy game based on Colonization
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.freecol.org/
Source:		http://downloads.sourceforge.net/freecol/%{name}-%{version}-src.zip
Patch0:		freecol-0.11.2-mga-ant-force-utf8-encoding.patch

BuildRequires:	ant
BuildRequires:	unzip
BuildRequires:	xerces-j2
BuildRequires:	java-devel >= 1.7
Requires:	java >= 1.7
BuildArch:	noarch

%description
FreeCol is a turn-based strategy game based on the old game Colonization,
and similar to Civilization. The objective of the game is to create
an independent nation.

You start with only a few colonists defying the stormy seas in their search
for new land. Will you guide them on the Colonization of a New World?

%prep
%autosetup -p1 -n %{name}

%build
ant clean package

%install
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp FreeCol.jar %{buildroot}%{_gamesdatadir}/%{name}
cp -a {data,jars} %{buildroot}%{_gamesdatadir}/%{name}

cat > %{name}.sh << EOF
#!/bin/sh
java -Xmx256M -jar %{_gamesdatadir}/%{name}/FreeCol.jar \\
	--freecol-data %{_gamesdatadir}/%{name}/data
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

install -D -m644 packaging/common/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=FreeCol
GenericName=Colonize the New World
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%doc packaging/common/{COPYING,README}
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.11.6-2.mga6
+ Revision: 972034
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 akien <akien> 0.11.6-1.mga6
+ Revision: 894774
- Version 0.11.6

* Mon Aug 31 2015 akien <akien> 0.11.5-1.mga6
+ Revision: 871687
- Version 0.11.5

* Sun Mar 08 2015 akien <akien> 0.11.3-1.mga5
+ Revision: 818079
- Improve summary and description
- Version 0.11.3

* Sun Jan 04 2015 akien <akien> 0.11.2-1.mga5
+ Revision: 808362
- Version 0.11.2

* Sun Nov 16 2014 akien <akien> 0.11.1-1.mga5
+ Revision: 797505
- Version 0.11.1

* Sun Oct 19 2014 akien <akien> 0.11.0-1.mga5
+ Revision: 791996
- Version 0.11.0

* Wed Oct 15 2014 umeabot <umeabot> 0.10.7-5.mga5
+ Revision: 738793
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.7-4.mga5
+ Revision: 679328
- Mageia 5 Mass Rebuild

* Tue Dec 17 2013 dams <dams> 0.10.7-3.mga4
+ Revision: 558225
- fix icon not to have an ugly display anymore. Now uses the provided SVG file.
- fix mga#11955 reporting that the game freezes after the video of the introduction.

* Sat Oct 19 2013 umeabot <umeabot> 0.10.7-2.mga4
+ Revision: 526632
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 dams <dams> 0.10.7-1.mga4
+ Revision: 438393
- new version 0.10.7

* Fri Jan 11 2013 umeabot <umeabot> 0.10.5-2.mga3
+ Revision: 350822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 supp <supp> 0.10.5-1.mga3
+ Revision: 217275
- bump to .10.5, fixing few memory leaks and making forrest cleaning more Col1-like

* Wed Sep 28 2011 supp <supp> 0.10.3-1.mga2
+ Revision: 149994
- update to 0.10.3, bugfix release
- upadte to 0.10.1

* Mon Jun 20 2011 supp <supp> 0.10.0-3.mga2
+ Revision: 110565
- update to stable 0.10.0 release

* Tue Apr 26 2011 wally <wally> 0.10.0-2.mga1
+ Revision: 91663
- fix desktop file (mga#954)
- drop buildroot definition

* Sun Feb 27 2011 supp <supp> 0.10.0-1.mga1
+ Revision: 61223
- fix buildrequires
- make Freecol noarch
- imported package freecol

